PaidGoods
API referenceAbandoned checkouts

Save the recovery template and automation

PUT
/v1/stores/{storeId}/abandoned-checkouts/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/abandoned-checkouts/settings" \  -H "Content-Type: application/json" \  -d '{    "abandonAfterMinutes": 5,    "autoEnabled": true,    "delayMode": "fixed",    "delayMinMinutes": 60,    "delayMaxMinutes": 60,    "checkoutTypes": "all",    "minValueMinor": 0,    "customerCooldownHours": 6,    "couponMode": "none",    "couponId": "15d6ce74-0176-4a4d-819b-7e460f30be6a",    "generatedCoupon": {      "kind": "percent",      "value": 1    },    "template": {      "subject": "string",      "heading": "string",      "body": "string",      "button": "string"    }  }'
{  "abandonAfterMinutes": -9007199254740991,  "autoEnabled": true,  "autoEnabledAt": "string",  "delayMode": "fixed",  "delayMinMinutes": -9007199254740991,  "delayMaxMinutes": -9007199254740991,  "checkoutTypes": "all",  "minValueMinor": -9007199254740991,  "customerCooldownHours": -9007199254740991,  "couponMode": "none",  "couponId": "15d6ce74-0176-4a4d-819b-7e460f30be6a",  "generatedCoupon": {    "kind": "percent",    "value": 1,    "expiresInDays": null,    "minSubtotalMinor": null  },  "template": {    "subject": "string",    "heading": "string",    "body": "string",    "button": "string"  },  "templateIsDefault": true,  "currency": "string"}